Open CASCADE Technology: Expr_SystemRelation Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Expr_SystemRelation Class Reference

`#include <Expr_SystemRelation.hxx>`

Inheritance diagram for Expr_SystemRelation:
[legend]

## Public Member Functions
| Expr_SystemRelation (const Handle< Expr_GeneralRelation > &relation)
| Creates a system with one relation. More...
void | Add (const Handle< Expr_GeneralRelation > &relation)
| Appends <relation> in the list of components of <me>. More...
void | Remove (const Handle< Expr_GeneralRelation > &relation)
Standard_Boolean | IsLinear () const
| Tests if <me> is linear between its NamedUnknowns. More...
Standard_Integer | NbOfSubRelations () const
| Returns the number of relations contained in <me>. More...
Standard_Integer | NbOfSingleRelations () const
| Returns the number of SingleRelations contained in <me>. More...
Handle< Expr_GeneralRelation > | SubRelation (const Standard_Integer index) const
| Returns the relation denoted by <index> in <me>. An exception is raised if <index> is out of range. More...
Standard_Boolean | IsSatisfied () const
| Returns the current status of the relation. More...
Handle< Expr_GeneralRelation > | Simplified () const
| Returns a GeneralRelation after replacement of NamedUnknowns by an associated expression, and after values computation. More...
void | Simplify ()
| Replaces NamedUnknowns by associated expressions, and computes values in <me>. More...
Handle< Expr_GeneralRelation > | Copy () const
| Returns a copy of <me> having the same unknowns and functions. More...
Standard_Boolean | Contains (const Handle< Expr_GeneralExpression > &exp) const
| Tests if <me> contains <exp>. More...
void | Replace (const Handle< Expr_NamedUnknown > &var, const Handle< Expr_GeneralExpression > &with)
| Replaces all occurences of with <with> in <me>. More...
TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Expr_SystemRelation::Expr_SystemRelation | ( | const Handle< Expr_GeneralRelation > & | relation | ) |

Creates a system with one relation.

## Member Function Documentation

void Expr_SystemRelation::Add | ( | const Handle< Expr_GeneralRelation > & | relation | ) |

Appends <relation> in the list of components of <me>.

Standard_Boolean Expr_SystemRelation::Contains | ( | const Handle< Expr_GeneralExpression > & | exp | ) | const
| virtual

Tests if <me> contains <exp>.

Implements Expr_GeneralRelation.

Handle< Expr_GeneralRelation > Expr_SystemRelation::Copy | ( |  | ) | const
| virtual

Returns a copy of <me> having the same unknowns and functions.

Implements Expr_GeneralRelation.

Standard_Boolean Expr_SystemRelation::IsLinear | ( |  | ) | const
| virtual

Tests if <me> is linear between its NamedUnknowns.

Implements Expr_GeneralRelation.

Standard_Boolean Expr_SystemRelation::IsSatisfied | ( |  | ) | const
| virtual

Returns the current status of the relation.

Implements Expr_GeneralRelation.

Standard_Integer Expr_SystemRelation::NbOfSingleRelations | ( |  | ) | const
| virtual

Returns the number of SingleRelations contained in <me>.

Implements Expr_GeneralRelation.

Standard_Integer Expr_SystemRelation::NbOfSubRelations | ( |  | ) | const
| virtual

Returns the number of relations contained in <me>.

Implements Expr_GeneralRelation.

void Expr_SystemRelation::Remove | ( | const Handle< Expr_GeneralRelation > & | relation | ) |

void Expr_SystemRelation::Replace | ( | const Handle< Expr_NamedUnknown > & | var,
|  | const Handle< Expr_GeneralExpression > & | with
| ) |  |
| virtual

Replaces all occurences of with <with> in <me>.

Implements Expr_GeneralRelation.

Handle< Expr_GeneralRelation > Expr_SystemRelation::Simplified | ( |  | ) | const
| virtual

Returns a GeneralRelation after replacement of NamedUnknowns by an associated expression, and after values computation.

Implements Expr_GeneralRelation.

void Expr_SystemRelation::Simplify | ( |  | ) |
| virtual

Replaces NamedUnknowns by associated expressions, and computes values in <me>.

Implements Expr_GeneralRelation.

TCollection_AsciiString Expr_SystemRelation::String | ( |  | ) | const
| virtual

returns a string representing <me> in a readable way.

Implements Expr_GeneralRelation.

Handle< Expr_GeneralRelation > Expr_SystemRelation::SubRelation | ( | const Standard_Integer | index | ) | const
| virtual

Returns the relation denoted by <index> in <me>. An exception is raised if <index> is out of range.

Implements Expr_GeneralRelation.

The documentation for this class was generated from the following file:

- Expr_SystemRelation.hxx